<template>
  <div>
    <table>
      <tr>
        <td>Component</td>
        <td>Version</td>
        <td>Service</td>
        <td colspan=2>Ingress</td>
      </tr>
      <PresetComponentRow v-for="component in components" :key="component.id" :component="component"></PresetComponentRow>
    </table>
  </div>
</template>

<script setup>
import { defineProps } from "vue";
const { components } = defineProps(['components']);
import PresetComponentRow from "./PresetComponentRow.vue";
</script>

<style scoped>
table {
  width: 100%;
  margin: 1em;
  margin-left: 0em;
}
</style>
